import javax.swing.JToolBar;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;

/**
 * Main ToolBar of svg-editor.
 * 
 * @author Alexey Fedorov
 */
public class MainToolBar extends JToolBar {

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Creates toolbar bsed on given graphics component.
	 * 
	 * @param component
	 *            Base graphics component
	 * 
	 * @see ru.amse.fedorov.plainsvg.gui.GraphicsComponent
	 */
	/* package */MainToolBar(GraphicsComponent component) {
		addSeparator();
		add(component.getNewAction());
		add(component.getOpenAction());
		add(component.getSaveAction());
		addSeparator();
		add(component.getMoveTop());
		add(component.getMoveUp());
		add(component.getMoveDown());
		add(component.getMoveBottom());
		addSeparator();
		add(component.getZoomIn());
		add(component.getZoomOut());
	}

}
