package ru.amse.fedorov.plainsvg.gui;

import ru.amse.fedorov.plainsvg.model.ElementList;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;
import ru.amse.fedorov.plainsvg.presentation.markers.Marker;

public class ComponentSelectedList extends SelectedList<ElementPresentation<?>> {

	private static final long serialVersionUID = 1L;

	private final ElementList<Marker<?>> markerList;

	public ComponentSelectedList(ElementList<Marker<?>> list) {
		markerList = list;
	}
	
	@Override
	public boolean add(ElementPresentation<?> element) {
		boolean f = super.add(element);
		markerList.addAll(element.getMarkers());
		return f;
	}

	public boolean remove(ElementPresentation<?> o) {
		boolean f = super.remove(o);
		ElementPresentation<?> elem = o;
		markerList.removeAll(elem.getMarkers());
		return f;
	}

	@Override
	public void clear() {
		markerList.clear();
		super.clear();
	}

}
