package ru.amse.fedorov.plainsvg.gui;

import java.awt.geom.Point2D;
import java.util.ArrayList;
import java.util.List;

import ru.amse.fedorov.plainsvg.PointLocationListener;

public class NotifyingPoint extends Point2D {
	
	private List<PointLocationListener> list = new ArrayList<PointLocationListener>();
	
	private Point2D point = new Point2D.Double();

	@Override
	public double getX() {
		return point.getX();
	}

	@Override
	public double getY() {
		return point.getY();
	}

	@Override
	public void setLocation(double x, double y) {
		point.setLocation(x, y);
		fireLocationChanged();
	}

	private void fireLocationChanged() {
		for(PointLocationListener listener:list) {
			listener.locationChanged();
		}
	}
	
	public void addMouseLocationListener(PointLocationListener l) {
		list.add(l);
	}

	public void removeMouseLocationListener(PointLocationListener l) {
		list.remove(l);
	}
	
}
