package ru.amse.fedorov.plainsvg.gui.actions.edit;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;

import javax.swing.Action;
import javax.swing.KeyStroke;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.gui.actions.ComponentAction;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class SelectAllAction extends ComponentAction {
	
	private static final long serialVersionUID = 1L;

	public SelectAllAction(GraphicsComponent comp) {
		super(comp);
		putValue(Action.NAME, "Select all");
		putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(
				new Integer('A'), InputEvent.CTRL_MASK));
	}

	public void actionPerformed(ActionEvent e) {
		getComponent().getSelectedList().clear();
		for (ElementPresentation<?> elem : getComponent().getElementList()) {
			getComponent().getSelectedList().add(elem);
		}
	}

}
