package ru.amse.fedorov.plainsvg.presentation.elements;

import java.awt.geom.Point2D;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.model.elements.SVGStroked;

/**
 * Presentation for all stroked svg-elements.
 * 
 * @author Alexey Fedorov
 */
public abstract class StrokedPresentation<T extends SVGStroked> extends
		ElementPresentation<T> {

	@Override
	public boolean hasStroke() {
		return true;
	}

	/**
	 * Sets sttoked diagonal as a line between point1 and point2.
	 * 
	 * @param point1
	 *            the first end of the diagonal
	 * @param point2
	 *            the second end of the diagonal
	 */
	public abstract void setDiagonal(Point2D point1, Point2D point2);

	@Override
	protected void createElement(Element element) {
		element.setAttribute("stroke", colorToString(getModelElement()
				.getStroke()));
		element.setAttribute("stroke-width", ""
				+ getModelElement().getStrokeWidth());
	}
}
