package ru.amse.fedorov.plainsvg.presentation.factories;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGEllipse;
import ru.amse.fedorov.plainsvg.presentation.elements.EllipsePresentation;

public class EllipseFactory extends ShapeFactory<EllipsePresentation> {

	@Override
	public EllipsePresentation createElement(Element element, GraphicsComponent component) {
		double cx = Double.parseDouble(element.getAttribute("cx"));
		double cy = Double.parseDouble(element.getAttribute("cy"));
		double rx = Double.parseDouble(element.getAttribute("rx"));
		double ry = Double.parseDouble(element.getAttribute("ry"));
		SVGEllipse ellipse = new SVGEllipse(cx, cy, rx, ry);
		setParameters(ellipse, element, component);
		return new EllipsePresentation(ellipse, component);
	}

}
