package ru.amse.fedorov.plainsvg.presentation.factories;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGElement;
import ru.amse.fedorov.plainsvg.model.elements.SVGShape;
import ru.amse.fedorov.plainsvg.presentation.elements.ShapePresentation;

public abstract class ShapeFactory<E extends ShapePresentation<?>> extends
		StrokedFactory<E> {

	@Override
	protected void setParameters(SVGElement svgElement, Element element,
			GraphicsComponent component) {
		super.setParameters(svgElement, element, component);
		SVGShape shape = (SVGShape) svgElement;
		String fill = element.getAttribute("fill");
		shape.setFill(getColor(fill));
	}

}
