package ru.amse.fedorov.plainsvg.presentation.factories;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGElement;
import ru.amse.fedorov.plainsvg.model.elements.SVGStroked;
import ru.amse.fedorov.plainsvg.presentation.elements.StrokedPresentation;

public abstract class StrokedFactory<E extends StrokedPresentation<?>> extends
		ElementFactory<E> {

	@Override
	protected void setParameters(SVGElement svgElement, Element element,
			GraphicsComponent component) {
		super.setParameters(svgElement, element, component);
		SVGStroked stroked = (SVGStroked) svgElement;
		String stroke = element.getAttribute("stroke");
		stroked.setStroke(getColor(stroke));
		String strokeWidth = element.getAttribute("stroke-width");
		if (!strokeWidth.isEmpty()) {
			stroked.setStrokeWidth(Double.parseDouble(strokeWidth));
		}
	}

}
