package ru.amse.fedorov.plainsvg.presentation.markers.poly;

import java.awt.Cursor;
import java.awt.geom.Point2D;
import java.util.List;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.PolygonPresentation;
import ru.amse.fedorov.plainsvg.presentation.markers.RotateMarker;

public class PolyRotateMarker extends RotateMarker<PolygonPresentation> {

	public PolyRotateMarker(PolygonPresentation pres, GraphicsComponent comp,
			Cursor cursor, boolean f) {
		super(pres, comp, cursor, f);
	}

	@Override
	protected Point2D getPoint() {
		List<Point2D> list = getPresentation().getModelElement().getPointList();
		Point2D point = list.get(0);
		double x = point.getX();
		double y = point.getY();
		Point2D nextPoint = list.get(1);
		Point2D prevPoint = list.get(list.size() - 1);
		double dist1 = point.distance(nextPoint);
		double x1 = nextPoint.getX() - x;
		double y1 = nextPoint.getY() - y;
		double dx1 = x1 / dist1 * DIST;
		double dy1 = y1 / dist1 * DIST;
		double dist2 = point.distance(prevPoint);
		double x2 = prevPoint.getX() - x;
		double y2 = prevPoint.getY() - y;
		double dx2 = x2 / dist2 * DIST;
		double dy2 = y2 / dist2 * DIST;

		double dx = (dx1 + dx2) / 2;
		double dy = (dy1 + dy2) / 2;
		double d = Math.sqrt(dx * dx + dy * dy);
		dx = dx / d * DIST / getComponent().getScale();
		dy = dy / d * DIST / getComponent().getScale();
		Point2D res = new Point2D.Double(x - dx, y - dy);
		if (getPresentation().contains(res, getComponent().getScale())) {
			res.setLocation(x + dx, y + dy);
		}
		return res;

	}
}
