package ru.amse.fedorov.plainsvg.presentation.markers.poly;

import java.awt.geom.Point2D;
import java.util.List;

import ru.amse.fedorov.plainsvg.presentation.elements.PolygonPresentation;
import ru.amse.fedorov.plainsvg.presentation.markers.Marker;

public class PolygonMarker extends Marker<PolygonPresentation> {
	
	private int number;

	public PolygonMarker(PolygonPresentation pres, int i) {
		super(pres);
		number = i;
	}

	@Override
	protected Point2D getPoint() {
		List<Point2D> list = getPresentation().getModelElement().getPointList();
		Point2D point = list.get(number);
		return new Point2D.Double(point.getX(), point.getY());
	}

	@Override
	public void movedUtransformed(Point2D p) {
		getPresentation().setCorner(number, p);
	}

}
