package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.Cursor;
import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGRectangularShape;
import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;
import ru.amse.fedorov.plainsvg.presentation.markers.RotateMarker;

public class RectangularRotateMarker<E extends RectangularShapePresentation<?>>
		extends RotateMarker<E> {

	public RectangularRotateMarker(E pres, GraphicsComponent comp, Cursor cursor,
			boolean f) {
		super(pres, comp, cursor, f);
		
	}



	@Override
	protected final Point2D getPoint() {
		double x = getElement().getCenter().getX();
		double y;
		if (isInside()) {
			y = getElement().getY1();
			y = y + DIST / getComponent().getScale()
					* Math.signum(y - getElement().getY2());
		} else {
			y = getElement().getY2();
			y = y + DIST / getComponent().getScale()
					* Math.signum(y - getElement().getY1());
		}
		return new Point2D.Double(x, y);
	}

	public SVGRectangularShape getElement() {
		return getPresentation().getModelElement();
	}
}
